## com.sun.jersey.core.util
Interface KeyComparator<K>

All Superinterfaces:
  java.util.Comparator<K>

All Known Implementing Classes:
  StringIgnoreCaseKeyComparator

    public interface KeyComparator<K>

extends java.util.Comparator<K>

A key comparator.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`boolean` | `equals(K x, K y)` Compare two keys for equality.
`int` | `hash(K k)` Get the hash code of a key.

Methods inherited from interface java.util.Comparator
`compare, equals`

Method Detail

### equals

    boolean equals(K x,
                   K y)

  Compare two keys for equality.

  Parameters:
    `x` - the first key
    `y` - the second key
  Returns:
    true if the keys are equal.

### hash

    int hash(K k)

  Get the hash code of a key.

  Parameters:
    `k` - the key.
  Returns:
    the hash code of the key.

Copyright © 2017 Oracle Corporation. All Rights Reserved.